package com.inspur.mapper;

import java.util.List;
import com.inspur.domain.ElevatorWorkOrder;
import org.apache.ibatis.annotations.Param;

/**
 * 工单系统Mapper接口
 *
 * @author inspur
 * @date 2024-09-20
 */
public interface ElevatorWorkOrderMapper
{
    /**
     * 查询工单系统
     *
     * @param id 工单系统主键
     * @return 工单系统
     */
    public ElevatorWorkOrder selectElevatorWorkOrderById(Long id);

    /**
     * 查询工单系统列表
     *
     * @param elevatorWorkOrder 工单系统
     * @return 工单系统集合
     */
    public List<ElevatorWorkOrder> selectElevatorWorkOrderList(ElevatorWorkOrder elevatorWorkOrder);

    /**
     * 新增工单系统
     *
     * @param elevatorWorkOrder 工单系统
     * @return 结果
     */
    public int insertElevatorWorkOrder(ElevatorWorkOrder elevatorWorkOrder);

    /**
     * 修改工单系统
     *
     * @param elevatorWorkOrder 工单系统
     * @return 结果
     */
    public int updateElevatorWorkOrder(ElevatorWorkOrder elevatorWorkOrder);

    /**
     * 删除工单系统
     *
     * @param id 工单系统主键
     * @return 结果
     */
    public int deleteElevatorWorkOrderById(Long id);

    /**
     * 批量删除工单系统
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteElevatorWorkOrderByIds(Long[] ids);

    /**
     * 根据call_id查询工单信息
     * @param callId
     * @return
     */
    public ElevatorWorkOrder selectElevatorWorkOrderByCallId(@Param("callId") String callId);

    /**
     * 根据call_id更新工单状态
     * @param callId
     * @param status
     */
    public void updateWorkOrderStatusByCallId(@Param("callId") String callId, @Param("status") Integer status);
}
